<template>
  <div id="top" class="site-container site-container--top">
    <div class="offers-landing_part">
      <div class="offers-landing_part_intro">
        <div class="trunk">
          <h1 class="heading--lg text--center">
            Découvrez nos abonnements magazine
          </h1>
          <p class="text--md text-primary text--center">
            Recevez chaque numéro dès sa sortie dans votre bibliothèque izneo,
            sur le site comme dans les applications
          </p>
        </div>
      </div>
    </div>

    <Loader :display="isLoading" />

    <div class="trunk products-list products-list--grid">
      <div v-for="magazine in magazines" :key="magazine.id" class="product">
        <div class="product_image">
          <router-link :to="magazine.url">
            <img
              :src="`${$config.izneoUrl}/${magazine.coverUrl}`"
              :alt="magazine.title"
            />
            <h2 class="product_title text text--md text--primary text--bold">
              {{ magazine.title }}
            </h2>
            <p class="text text--sm text--primary">{{ magazine.frequency }}</p>
          </router-link>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Loader from '~/components/ui/Loader'

export default {
  name: 'SubscriptionMagazine',
  components: { Loader },

  async fetch() {
    await this.loadMagazine()
  },

  data() {
    return {
      isLoading: false,
      magazines: []
    }
  },

  methods: {
    async loadMagazine() {
      this.isLoading = true
      try {
        const data = await this.$api.subscriptionMagazines()
        if (!data) return

        this.magazines = data
      } finally {
        this.isLoading = false
      }
    }
  }
}
</script>
